{-# LANGUAGE OverloadedStrings #-}

module Main where

import           Control.Concurrent.Async (wait)
import           Pipes.IRC.Server         (listenHandler, mkIrcServer,
                                           startIrcServer)
import           Pipes.IRC.Server.Types   (HostPreference (Host),
                                           IrcConfig (..))

main :: IO ()
main =
  let
    ircConf = IrcConfig "6665" (Host "127.0.0.1")
  in do
    srv <- mkIrcServer ircConf
    listener <- startIrcServer srv (listenHandler srv)
    wait listener
